# Simple Makefile for CygWin32
# Volker Oth (c) 1999

	CC	= gcc

########### change this lines according to your project ##################

#put the name of the target file here (without extension)
	TRG	= dcf77

#put your C sourcefiles here 
	SRC	= monitor.c

#needed libraries and object files to link
	LIB	=

#needed includes to compile
        INC	= 

#compiler flags
	CPFLAGS	= -O2

#linker flags
	LDFLAGS =

########### you should not need to change the following line #############


#define all project specific object files
	OBJ	= $(SRC:.c=.o) 

		  
#this defines the aim of the make process
all:	$(TRG).exe


#compile: instructions to create object files from C source
%o : %c 
	$(CC) -c $(CPFLAGS) $< -o $(@:.c=.o)


#link: instructions to create output file from object files
$(TRG).exe: $(OBJ)
	$(CC) $(OBJ) $(LDFLAGS) -o $@
	strip $(TRG).exe --strip-all


#make instruction to delete created files
clean:
	rm $(OBJ)
	rm $(TRG).exe
		  
###### dependecies, add any dependencies you need here ###################
monitor.o : monitor.c
